<?php
class Recording {

	/**
	* @access private
	* @var string
	*/
	private $lID;

	/**
	* @access private
	* @var string
	*/
	private $lName;


	private $lDescription;
	private $lServiceName;
	private $lStartTime;
	private $lDuration;
	private $lFilename;
	private $lFileSize;

	/**
	* Constructor. This creates a Channel object.
	* @param int $pID
	* @param string $pIP
	* @param string $pType
	* @param string $pName
	* @return Channel
	*/
	function __construct($pID,$pName, $pDescription, $pServiceName, $pStartTime, $pDuration, $pFilename, $plFileSize) {
		$this->lID = trim($pID);
		$this->lName = trim($pName);
		$this->lDescription = trim($pDescription);
		$this->lServiceName = trim($pServiceName);
		$this->lStartTime = trim($pStartTime);
		$this->lDuration = trim($pDuration);
		$lStartPos = strripos($pFilename,"/");
		$this->lFilename = trim(substr($pFilename,$lStartPos+1));
		$this->lFileSize = trim($plFileSize);
	}

	/**
	* Get the channel ID.
	* @return string
	*/
	public function getID() {
		return $this->lID;
	}

	/**
	* Get the channel name.
	* @return string
	*/
	public function getName() {
		return $this->lName;
	}

	 /**
	* Get the description.
	* @return string
	*/
	public function getDescription() {
		return $this->lDescription;
	}
	 
	 /**
	* Get the service name.
	* @return string
	*/
	public function getServiceName() {
		 return $this->lServiceName;
	}
   
	/**
	* Get the start time
	* @return int
	*/
	public function getStartTime() {
		return $this->lStartTime;
	}
	
	public function getStopTime() {
		return -1;
	}

	/**
	* Get the duration.
	* @return int
	*/
	public function getDuration() {
		return $this->lDuration;
	}

	/**
	* Get the file name.
	* @return string
	*/
	public function getFilename() {
		return $this->lFilename;
	}

	/**
	* Get the file size.
	* @return int
	*/
	public function getFileSize($pFormat) {
		return $this->lFileSize;
	}
}
?>